Subject: Checking out orphans with -f

From: Martin Fick <[email-masked]>
Date: Wed, 18 Jan 2012 12:07:05 -0700

I am trying to write some scripts which do various things to 
a git repo and I have run into a issue where I think that 
git behavior with respect to orphan branches is potentially 
undesirable.  If I type:

  git checkout --orphan a

I cannot easily abandon this state by simply typing:

  git check -f --orphan b

Is there a better simpler way to abandon a that I am not 
aware of?  Am I miss understanding what -f is supposed to 
do?  It seems like it should allow me to abandon the a 
orphan and continue to checkout the b orphan?

Thanks for any insights,

-Martin

-- 
Employee of Qualcomm Innovation Center, Inc. which is a 
member of Code Aurora Forum